[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- sameFacet() : SplineImageView
- scalar_multiplier : TinyVectorBase , TinyVectorView , TinyVector
- scaleCount() : GaborFilterFamily
- scanOrderIndexToCoordinate() : MultiArrayView
- ScanOrderIterator : BasicImageView , BasicImage
- second_argument_type : BSplineBase , MagnitudeFunctor , RGBGradientMagnitudeFunctor , FindAverage , FindAverageAndVariance , ReduceFunctor , ArrayOfRegionStatistics , DiffusivityFunctor
- seed() : RandomNumberGenerator
- set() : FFTWImaginaryAccessor , FFTWWriteRealAccessor , RedAccessor , GreenAccessor , StandardAccessor , BlueAccessor , StandardAccessor , StandardValueAccessor , VectorComponentAccessor , VectorComponentValueAccessor , VectorElementAccessor , FFTWRealAccessor
- setBlue() : RGBValue , RGBAccessor
- setBorderTreatment() : Kernel1D , Kernel2D
- setComponent() : VectorAccessor
- setCompression() : ImageExportInfo
- setDirectionScaleCounts() : GaborFilterFamily
- setEpsilon() : PolynomialView
- setFileName() : ImageExportInfo
- setFileType() : ImageExportInfo
- setGreen() : RGBValue , RGBAccessor
- setHeight() : Size2D
- setICCProfile() : ImageExportInfo
- setIndex() : VectorComponentAccessor , VectorComponentValueAccessor , VectorElementAccessor
- setLowerRight() : Rect2D
- setMaxCenterFrequency() : GaborFilterFamily
- setPixelType() : ImageExportInfo
- setPosition() : ImageExportInfo
- setRed() : RGBValue , RGBAccessor
- setSize() : Rect2D
- setUpperLeft() : Rect2D
- setWidth() : Size2D
- setXResolution() : ImageExportInfo
- setYResolution() : ImageExportInfo
- shape() : MultiArrayView
- shape_type : MultiArrayNavigator
- sigma() : Gaussian
- sign() : Rational
- size() : ImageArray , PolynomialView , FindBoundingRectangle , SequenceAccessor , ArrayVectorView , BasicImage , BasicImageView , Rect2D , FFTWComplex , ImagePyramid , ImageImportInfo , FindROISize , ArrayOfRegionStatistics , MultiArrayView , Kernel1D , SplineImageView , TinyVectorBase
- Size2D() : Size2D
- size_type : BasicImage , BasicImageView , MultiArrayView , MultiArray , TinyVectorBase , TinyVector , TinyVectorView , SplineImageView
- SlantedEdgeMTFOptions() : SlantedEdgeMTFOptions
- South : NeighborCode
- south() : NeighborCode3D , NeighborCode
- South : NeighborCode
- south() : NeighborCode3D
- southEast() : NeighborCode
- SouthEast : NeighborCode
- southEast() : NeighborCode3D
- southWest() : NeighborCode3D
- SouthWest : NeighborCode
- southWest() : NeighborCode
- SplineImageView() : SplineImageView
- squaredMagnitude() : RGBValue , TinyVectorBase , Diff2D , FFTWComplex
- squaredNorm() : Matrix , MultiArrayView
- SquaredNormType : FFTWComplex , TinyVectorView , TinyVector , TinyVectorBase , RGBValue
- sRGB2RGBFunctor() : sRGB2RGBFunctor
- StaticOrder : BSplineBase , CatmullRomSpline , SplineImageView
- StaticPolynomial() : StaticPolynomial
- strength : Edgel
- stride() : MultiArrayView , BasicImageView
- stridearray() : MultiArrayView
- StridedImageIterator() : StridedImageIterator
- StridedMultiIterator() : StridedMultiIterator
- subarray() : ArrayVectorView , MultiArrayView
- swap() : ImagePyramid , ImageArray , BasicImage , MultiArray
- swapCenterNeighbor() : NeighborhoodCirculator
- swapData() : MultiArrayView , ArrayVectorView , MultiArrayView

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)